petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSNESGetJacobian

get SNES Jacobian evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetJacobian(DM dm,PetscErrorCode (**J)(SNES,Vec,Mat,Mat,void*),void **ctx)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Arguments

| J | - Jacobian evaluation function; see SNESJacobianFunction for all calling sequence
| ctx | - context for residual evaluation

### Note

SNESGetJacobian() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the Jacobian.

### See Also

DMSNESSetContext(), SNESSetFunction(), DMSNESSetJacobian(), SNESJacobianFunction

### Level

advanced

### Location

src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages